GENDIFF(1)

NAMN
gendiff — Ett verktyg för att hjälpa till att generera felfria diff-filer

SYNOPSIS
gendiff KATALOG DIFF-ÄNDELSE

BESKRIVNING
gendiff är ett verktyg för att generera en diff-fil från en enda katalog. Den genererade diff:en kan appliceras med programmet patch(1) för att återskapa ändringarna.

gendiff tittar efter filer med DIFF-ÄNDELSE som sin ändelse i den angivna KATALOGEN, och kör diff(1) på filen med DIFF-ÄNDELSE och motsvarigheten utan den, i den ordningen. Detta gör att man kan generera diff:ar från källkod utan att göra en fullständig kopia av katalogen, vilket man annars skulle behöva göra när man använder verktyget diff(1) direkt.

gendiff används ofta för att skapa patchar i syfte att paketera programvara med rpmbuild(1).

ARGUMENT
KATALOG
    Katalogen att generera en diff ifrån.

DIFF-ÄNDELSE
    Diff-ändelsen att leta efter.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
Om man behöver ändra en källfil som heter någonfil.cpp och har valt ändelsen fix, kopiera den till någonfil.cpp.fix före den redigeras. Redigera sedan originalfilen (någonfil.cpp).

Efter att ha redigerat alla filerna man behöver redigera på det här sättet, gå till katalogen en nivå över den där källkoderna finns, och kör gendiff på den:

    gendiff mittprojekt-1.0 .fix > mittprojekt-1.0.patch

SE ÄVEN
diff(1), patch(1)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.